VERSION 5.00
Begin VB.Form frmGetKeyInfo 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "GetKeyInfo"
   ClientHeight    =   4050
   ClientLeft      =   3045
   ClientTop       =   2835
   ClientWidth     =   4215
   Icon            =   "frmGetKeyInfo.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4050
   ScaleWidth      =   4215
   ShowInTaskbar   =   0   'False
   Begin VB.TextBox txtHighestInUse 
      Height          =   285
      Left            =   1800
      TabIndex        =   11
      TabStop         =   0   'False
      Top             =   2400
      Width           =   2175
   End
   Begin VB.TextBox txtHrdLmt 
      Height          =   285
      Left            =   1800
      TabIndex        =   3
      TabStop         =   0   'False
      Top             =   960
      Width           =   2175
   End
   Begin VB.TextBox txtNumTimedOut 
      Height          =   285
      Left            =   1800
      TabIndex        =   9
      TabStop         =   0   'False
      Top             =   1920
      Width           =   2175
   End
   Begin VB.TextBox txtDevId 
      Height          =   285
      Left            =   1800
      TabIndex        =   0
      Text            =   "FFFF"
      Top             =   480
      Width           =   2175
   End
   Begin VB.TextBox txtLicInUse 
      Height          =   285
      Left            =   1800
      TabIndex        =   4
      TabStop         =   0   'False
      Top             =   1440
      Width           =   2175
   End
   Begin VB.CommandButton cmdExecute 
      Caption         =   "&NextKey"
      Height          =   380
      Left            =   120
      TabIndex        =   1
      Top             =   3120
      Width           =   1815
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   380
      Left            =   2160
      TabIndex        =   2
      Top             =   3120
      Width           =   1815
   End
   Begin VB.Label lHighestUsed 
      Caption         =   "Highest In Use :"
      Height          =   255
      Left            =   240
      TabIndex        =   10
      Top             =   2400
      Width           =   1215
   End
   Begin VB.Label lbHrdLmt 
      Caption         =   "Hard Limit :"
      Height          =   255
      Left            =   240
      TabIndex        =   8
      Top             =   960
      Width           =   975
   End
   Begin VB.Label Label2 
      Caption         =   "DevID(Hex) :"
      Height          =   255
      Left            =   240
      TabIndex        =   7
      Top             =   480
      Width           =   1095
   End
   Begin VB.Label lLicInUse 
      Caption         =   "Lic In Use :"
      Height          =   255
      Left            =   240
      TabIndex        =   6
      Top             =   1440
      Width           =   975
   End
   Begin VB.Label lnumTimedOut 
      Caption         =   "Num Timed Out:"
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   1920
      Width           =   1335
   End
End
Attribute VB_Name = "frmGetKeyInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' (C) Copyright 1991-2002 Rainbow Technologies, Inc. All rights reserved.

Dim keyIndex As Variant  'used as index for GetKeyInfo

Private Sub cmdCancel_Click()
  Unload Me
  frmUSproeval.Show
  keyIndex = 1
End Sub

Private Sub cmdExecute_Click()
    Dim monInfo As RAINBOWSSPLib.NSPRO_MONITOR_INFO_T
    Dim devID, hrdLmt, numTimedOut, inUse, highestInUse As Long
    Dim j           As Integer
    Dim srvrName, h As String
    Dim temp As Integer
    
    Dim developerID As Variant
    'first chk that devId has been entered
    If (txtDevId = "") Then
       MsgBox "Specify devID to proceed.", 0, "GetKeyInfo"
       Exit Sub
    End If
    
    developerID = ToHex(txtDevId, MAX_CELL_DATA_LEN, "DevID", "GetKeyInfo")
    
    If ErrorPresent("devID", "GetKeyInfo", MAX_CELL_DATA_LEN) = 1 Then
       Call ClearInputs
       Exit Sub
    End If
    
    SSPObj.GetKeyInfo developerID, keyIndex, monInfo
    'get the last error
    strval% = SSPObj.LastError
    If strval% <> 0 Then 'if get key info fails
        MsgBox "GetKeyInfo failed!" + nl + "Return value is " & strval% & ".", 0, "GetKeyInfo"
       ' Call ClearInputs 'clear the text boxes
        Exit Sub
    End If
    
'    For j = 0 To MAX_ADDR_LEN - 1
'        h = Chr(monInfo.serverName(j))  'de-compress
 '       If monInfo.serverName(j) = 0 Then Exit For
 '       srvrName = srvrName + h
 '    Next j
        
    'convert integer to unsigned
    temp = monInfo.keyInfo.developerID
    devID = IntegerToUnsigned(temp)
    
    temp = monInfo.keyInfo.hardLimit
    hrdLmt = IntegerToUnsigned(temp)
    
    temp = monInfo.keyInfo.inUse
    inUse = IntegerToUnsigned(temp)
    
    temp = monInfo.keyInfo.numTimeOut
    numTimedOut = IntegerToUnsigned(temp)
    
    temp = monInfo.keyInfo.highestUse
    highestInUse = IntegerToUnsigned(temp)
    
    'now display all the info
    txtDevId = Hex(devID)
    txtHrdLmt = CStr(hrdLmt)
    txtLicInUse = CStr(inUse)
    txtNumTimedOut = CStr(numTimedOut)
    txtHighestInUse = CStr(highestInUse)
    keyIndex = keyIndex + 1 'increment the keyIndex only when the API is successful
    
End Sub


Private Sub Form_Load()
 keyIndex = 1 'Initialize keyIndex to one
 Call ClearInputs
End Sub

Private Sub txtHighestInUse_KeyPress(KeyAscii As Integer)
  KeyAscii = 0
  'MsgBox "These are not inputs!", 0, "GetKeyInfo"
End Sub

Private Sub txtHrdLmt_KeyPress(KeyAscii As Integer)
  KeyAscii = 0
  'MsgBox "These are not inputs!", 0, "GetKeyInfo"
End Sub

Private Sub txtLicInUse_KeyPress(KeyAscii As Integer)
  KeyAscii = 0
  'MsgBox "These are not inputs!", 0, "GetKeyInfo"
End Sub

Private Sub txtNumTimedOut_KeyPress(KeyAscii As Integer)
  KeyAscii = 0
  'MsgBox "These are not inputs!", 0, "GetKeyInfo"
End Sub

Private Sub ClearInputs()
    txtDevId = "FFFF"
    txtHrdLmt = ""
    txtLicInUse = ""
    txtNumTimedOut = ""
    txtHighestInUse = ""
End Sub
